Skip to main content
PUT
/
client-properties
/
{clientPropertyId}
/
tags
/
{tagId}
Create a tag with specific ID for a client property
curl --request PUT \
  --url https://api.leanpay.fr/v1/public/client-properties/{clientPropertyId}/tags/{tagId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "color": "red"
}

Authorizations

Authorization
string
header
required

Path Parameters

clientPropertyId
string<uuid>
required

The ID of the client property

tagId
string<uuid>
required

The ID for the new tag

Body

application/json
label
string
required

The label of the tag to create

Required string length: 1 - 80

Response

Tag created successfully

id
string<uuid>
required
label
string
required
Required string length: 1 - 80
color
enum<string>
required
Available options:
red,
orange,
green,
lightBlue,
blue,
purple,
pink,
brown,
grey,
yellow